call plug#begin()

" themes:
Plug 'joshdick/onedark.vim'
Plug 'dracula/vim'
Plug 'morhetz/gruvbox'

" lightline
Plug 'itchyny/lightline.vim'

" File Manager: NERDTree
Plug 'preservim/nerdtree'

" open man and info with nvim
Plug 'jez/vim-superman'
Plug 'alx741/vinfo'

call plug#end()

let $NVIM_TUI_ENABLE_TRUE_COLOR=1

syntax on

 colorscheme gruvbox
" colorscheme onedark
" colorscheme dracula

 let g:lightline = { 'colorscheme': 'onedark'}
" let g:lightline = { 'colorscheme': 'dracula'}

" turn hybrid line numbers on
" :set number relativenumber
" :set nu rnu

" Automatic toggling between line number modes
" see: https://archive.fo/KuNN4

:set number relativenumber

:augroup numbertoggle
:  autocmd!
:  autocmd BufEnter,FocusGained,InsertLeave * set relativenumber
:  autocmd BufLeave,FocusLost,InsertEnter   * set norelativenumber
:augroup END

" disabling --INSERT--
set noshowmode
